Skip to main content
`Ctrl`+`K`

# pandas.Series.repeat

Series.repeat(repeats, axis=None)

  Repeat elements of a Series.

  Returns a new Series where each element of the current Series is repeated consecutively a given number of times.

  Parameters:
    repeats int or array of ints

      The number of repetitions for each element. This should be a non-negative integer. Repeating 0 times will return an empty Series.

    axis None

      Unused. Parameter needed for compatibility with DataFrame.

  Returns:
    Series

      Newly created Series with repeated elements.

  See also

  `Index.repeat`

    Equivalent function for Index.

  `numpy.repeat`

    Similar method for `numpy.ndarray`.

  Examples

      >>> s = pd.Series(['a', 'b', 'c'])
      >>> s
      0    a
      1    b
      2    c
      dtype: object
      >>> s.repeat(2)
      0    a
      0    a
      1    b
      1    b
      2    c
      2    c
      dtype: object
      >>> s.repeat([1, 2, 3])
      0    a
      1    b
      1    b
      2    c
      2    c
      2    c
      dtype: object